declare const _default: "// Lottes 2016, \"Advanced Techniques and Optimization of HDR Color Pipelines\"\nvec3 lottes(vec3 x) {\n  const vec3 a = vec3(1.6);\n  const vec3 d = vec3(0.977);\n  const vec3 hdrMax = vec3(8.0);\n  const vec3 midIn = vec3(0.18);\n  const vec3 midOut = vec3(0.267);\n\n  const vec3 b =\n      (-pow(midIn, a) + pow(hdrMax, a) * midOut) /\n      ((pow(hdrMax, a * d) - pow(midIn, a * d)) * midOut);\n  const vec3 c =\n      (pow(hdrMax, a * d) * pow(midIn, a) - pow(hdrMax, a) * pow(midIn, a * d) * midOut) /\n      ((pow(hdrMax, a * d) - pow(midIn, a * d)) * midOut);\n\n  return pow(x, a) / (pow(x, a * d) * b + c);\n}\n\nfloat lottes(float x) {\n  const float a = 1.6;\n  const float d = 0.977;\n  const float hdrMax = 8.0;\n  const float midIn = 0.18;\n  const float midOut = 0.267;\n\n  const float b =\n      (-pow(midIn, a) + pow(hdrMax, a) * midOut) /\n      ((pow(hdrMax, a * d) - pow(midIn, a * d)) * midOut);\n  const float c =\n      (pow(hdrMax, a * d) * pow(midIn, a) - pow(hdrMax, a) * pow(midIn, a * d) * midOut) /\n      ((pow(hdrMax, a * d) - pow(midIn, a * d)) * midOut);\n\n  return pow(x, a) / (pow(x, a * d) * b + c);\n}\n\n";
export default _default;
